#!/usr/bin/env Rscript
args = commandArgs(trailingOnly = TRUE)

# Author: N.Pérez-Zanón 26th July 2021
# execution: Rscript OperationalCS.R conf_user.yml recipe.yml
# This code should process and check the recipe and build the workflow
print(args)
library(yaml)
conf <- read_yaml(args[1]) # conf <- read_yaml("recipes/conf_user.yml")
recipe <- read_yaml(args[2]) # recipe <- read_yaml("recipes/seasonal_oper.yml")

# Load required libraries
source("tools/libs.R")

#check_conf(conf, file = args[1]) 
#verifications <- check_recipe(recipe, file = args[2], conf) 
# check_conf(conf, file = "conf_user.yml")
# verifications <- check_recipe(recipe, file = "recipe.yml", conf)

recipe <- recipe$Analysis

variable <- recipe$Variables$ECVs[[1]]$name
fcst.sdate <- recipe$Time$sdates
fcst.freq <- recipe$Variables$ECVs[[1]]$freq
hcst.inityear <- recipe$Time$hcst_start
hcst.endyear <- recipe$Time$hcst_end

fcst.name <- recipe$Datasets$System[[1]]$name
ref.name <- recipe$Datasets$Reference[[1]]$name
ltmin <- recipe$Time$leadtimemin 
ltmax <- recipe$Time$leadtimemax
lats.min <- recipe$Region$Regional[[1]]$latmin
lats.max <- recipe$Region$Regional[[1]]$latmax
lons.min <- recipe$Region$Regional[[1]]$lonmin
lons.max <- recipe$Region$Regional[[1]]$lonmax
stream <- "fcst"

source("modules/data_load/load.R")


